List my contact methods
curl --request GET \
--url https://api.getmonitor.io/api/v1/members/contact-methods \
--header 'Authorization: Bearer <token>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmonitor.io/api/v1/members/contact-methods")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "ilauii6q441jdnx64va07785",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "whatsapp",
"config": {
"phoneNumber": "+15555550100"
},
"isEnabled": true,
"position": 0,
"createdAt": "2026-04-20T04:16:59.213Z",
"updatedAt": "2026-04-20T04:16:59.213Z"
},
{
"id": "pnbto3e6kuj0xqsihgryvf3d",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "sms",
"config": {
"value": "+15555550100"
},
"isEnabled": true,
"position": 1,
"createdAt": "2026-04-25T22:13:20.800Z",
"updatedAt": "2026-07-11T16:29:33.212Z"
}
]{
"message": "Missing X-Organization-Id header",
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}Member Contact Methods
List my contact methods
Contact methods the signed-in member uses for on-call alerts in this organization.
Authentication: User session only (the panel), with X-Organization-Id. API keys receive 401.
GET
/
api
/
v1
/
members
/
contact-methods
List my contact methods
curl --request GET \
--url https://api.getmonitor.io/api/v1/members/contact-methods \
--header 'Authorization: Bearer <token>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.getmonitor.io/api/v1/members/contact-methods"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.getmonitor.io/api/v1/members/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmonitor.io/api/v1/members/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Organization-Id: <x-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmonitor.io/api/v1/members/contact-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Organization-Id", "<x-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmonitor.io/api/v1/members/contact-methods")
.header("X-Organization-Id", "<x-organization-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmonitor.io/api/v1/members/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Organization-Id"] = '<x-organization-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "ilauii6q441jdnx64va07785",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "whatsapp",
"config": {
"phoneNumber": "+15555550100"
},
"isEnabled": true,
"position": 0,
"createdAt": "2026-04-20T04:16:59.213Z",
"updatedAt": "2026-04-20T04:16:59.213Z"
},
{
"id": "pnbto3e6kuj0xqsihgryvf3d",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"type": "sms",
"config": {
"value": "+15555550100"
},
"isEnabled": true,
"position": 1,
"createdAt": "2026-04-25T22:13:20.800Z",
"updatedAt": "2026-07-11T16:29:33.212Z"
}
]{
"message": "Missing X-Organization-Id header",
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "No access to this organization",
"error": "Forbidden",
"statusCode": 403
}